const f = require('./functions.js');

module.exports = (app, protect) => {
  app.post('/kernel_functions/:functionName', protect, f.kernelFunctionsHTTP);
  app.get('/company-dashboard', f.companyDashboard);

  return (socket, io) => {
    socket.on('kernel:functions', f.kernelFunctionsWS.bind({}, socket, io));
    socket.on('configuration:button', f.configurationButtonWS.bind({}, socket, io));
  };
};
