'use strict';
const mongoose = require('mongoose');
mongoose.Promise = require('bluebird');
const listsSchema = require('../../database/schemas/lists.js');
const db = require('../../database/mongo.js');
/**
 * [find: Function to get lists to the sdk-api by enviroment]
 * @param  {Object} query [query's object mongoose]
 * @return {Object}
 */
exports.find = (query, tenantName) => {
  const tenant = db.useDb(tenantName);
  const model = tenant.model('lists', listsSchema);
  return model.find(query);
};
