const loglevel = __config.properties.loglevel;

module.exports = (app) => {
  app.use((err, req, res, next) => {
    const response = { status: 500, message: 'Internal Server Error' };

    if (loglevel === 'DEBUG') {
      response.stack = err.stack;
      response.detail = err.message;
    }

    return res.status(500).json(response);
  });
};
