const f = require('./functions.js');

module.exports = (app, protect) => {
  app.get('/movements/items', protect, f.getMovementsItemsPerPageHTTP);
  app.get('/movements', protect, f.getMovementListHTTP);

  return (socket, io) => {
    socket.on('movements:show', f.getMovementItem.bind({}, socket, io));
    socket.on('movements:list', f.getMovementListWS.bind({}, socket, io));
    socket.on('movements:items', f.getMovementItemsPerPageWS.bind({}, socket, io));
    socket.on('movements:cancel', f.cancelMovementWS.bind({}, socket, io));
  };
};
