const f = require('./functions.js');

module.exports = (app, protect) => {
  app.get('/reports/items', protect, f.getReportsItemsPerPageHTTP);
  app.get('/reports', protect, f.getReportListHTTP);

  return (socket, io) => {
    socket.on('reports:list', f.getReportListWS.bind({}, socket, io));
    socket.on('reports:items', f.getReportsItemsPerPageWS.bind({}, socket, io));
    socket.on('reports:show', f.getReport.bind({}, socket, io));
  };
};
