const f = require('./functions.js');

module.exports = function (app, protect) {
  app.get('/steps/:_id/access/:bapp_id/:diagram_id', protect, f.showAccess);
  app.post('/steps/:_id/access', protect, f.createAccess);
  app.put('/steps/:_id/access', protect, f.createAccess);

  return (socket, io) => {
    socket.on('step:select', f.select.bind({}, socket, io));
  };
};
