module.exports = (app) => {
  app.get('/test/error', (req, res, next) => {
    next(new Error('error test'));
  });

  app.get('/test', (req, res) => {
    res.send('test done');
  });

  app.get('/test/config', (req, res, next) => {
    res.send(JSON.stringify(__config, null, 2));
  });

  return (socket) => {
    socket.on('PING', () => {
      socket.emit('PONG');
    });
  };
};
