'use strict';

const debug = require('debug')('init');
debug(' ');

// load environment
require('./environments/');

// if cluster is not true, load single threaded api
if (!__config.properties.cluster) {
  const single = require('./api/single.js');
  single(() => {
    debug(`HTTP listening on port: ${__config.express.port}`);
  });
}

const nca = require('node-care-agent');
nca({
  appKey: 'appkey1',
  appSecret: 'appsecret1',
  listenTo: 7001,
  options: {
    interval: 1000,
  },
});
